get
https://api.fulcrumapp.com/api/v2/videos.json
Retrieve metadata for a list of videos.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
API Library Examples
from fulcrum import Fulcrum
fulcrum = Fulcrum('{token}')
videos = fulcrum.videos.search(url_params={'form_id':'{id}'})
for video in videos['videos']:
# print(video) # entire video metadata
print(video['access_key']) # just the video keyimport { FulcrumClient, FulcrumRegion } from '@fulcrumapp/fulcrum-js';
const client = new FulcrumClient({
apiKey: '{token}',
// Use the region configured for your Fulcrum account.
region: FulcrumRegion.US
});
client.videos.getAll({formId:'{id}'})
.then((response) => {
console.log(response.data);
})
.catch((error) => {
console.log(error.message);
});require 'fulcrum'
client = Fulcrum::Client.new('{token}')
videos = client.videos.all({'form_id':'{id}'})
for video in videos.objects do
# puts video # entire video metadata
puts video['access_key'] # just the video key
end